> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves a paginated list of MCP servers for the application. Use this endpoint to browse and manage MCP server configurations.

# List MCP Servers

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/agent-builder/mcp-servers
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/mcp-servers:
    get:
      tags:
        - Agent Builder MCP Servers
      summary: List MCP Servers
      description: >-
        Retrieves a paginated list of MCP servers for the application. Use this
        endpoint to browse and manage MCP server configurations.
      operationId: McpServersController_getAllMcpServers
      parameters:
        - name: limit
          required: false
          in: query
          schema:
            type: number
          description: Maximum number of results to return per page.
        - name: affix
          required: false
          in: query
          schema:
            enum:
              - prepend
              - append
            type: string
          description: >-
            To paginate over results, use the value of affix as prepend or
            append.
        - name: createdAt
          required: false
          in: query
          schema:
            type: number
          description: To be used with affix for pagination.
      responses:
        '200':
          description: Paginated list of MCP servers
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                          example: myapp_my-mcp-server
                        appId:
                          type: string
                          example: my-app-id
                        slug:
                          type: string
                          example: my-mcp-server
                        name:
                          type: string
                          example: My MCP Server
                        description:
                          type: string
                          example: A Model Context Protocol server
                        url:
                          type: string
                          example: https://mcp.example.com/sse
                        icon:
                          type: string
                          example: https://example.com/icon.png
                        createdAt:
                          type: number
                          example: 1700000000000
                        updatedAt:
                          type: number
                          example: 1700000000000
                  meta:
                    type: object
                    properties:
                      previous:
                        type: object
                        example:
                          affix: prepend
                          createdAt: 1700000000000
                      current:
                        type: object
                        example:
                          limit: 10
                          count: 5
                      next:
                        type: object
                        example:
                          affix: append
                          createdAt: 1700000000000
              example:
                data:
                  - _id: myapp_my-mcp-server
                    appId: my-app-id
                    slug: my-mcp-server
                    name: My MCP Server
                    description: A Model Context Protocol server
                    url: https://mcp.example.com/sse
                    icon: https://example.com/icon.png
                    createdAt: 1700000000000
                    updatedAt: 1700000000000
                meta:
                  previous:
                    affix: prepend
                    createdAt: 1700000000000
                  current:
                    limit: 10
                    count: 1
                  next:
                    affix: append
                    createdAt: 1700000000000
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````